#  This program may be used, executed, copied, modified and distributed
#  without royalty for the purpose of developing, using, marketing, or distributing.

#
# installXDPortlet - installs the XS Portlet (xsportlet.war) into the ISC
#
# author - viarsb

import os

while sys.argv:
    if sys.argv[0] == '-washome':
        # retrieve WAS home directory
        print "WAS_HOME=" + sys.argv[1]
        pathToXDPortlet = sys.argv[1] + "/systemApps/isclite.ear/xsportlet.war"
        sys.argv = sys.argv[2:]

print "Updating the ISCLite Module"

print "XSPortlet reported to be in: " + pathToXDPortlet

print "Issue AdminConfig.getid(/Deployment:isclite/) command to see if isclite is available here"   
isclite = AdminConfig.getid('/Deployment:isclite/')
if isclite != "":
    print "Look for the Module: isclite entry using AdminApp.view command with -MapModulesToServers option"
    list = AdminApp.view('isclite', ['-MapModulesToServers']).split(java.lang.System.getProperty("line.separator"))
    found = 0
    server = ''
    for entry in list:
            if(found == 1) :
                    if(entry.startswith( 'Server:' )) :
                            server = entry[entry.rfind('server=')+7:len(entry)]
                            print "Found Server: entry for server="+server
                            break
                    continue
            if(entry.startswith( 'Module:' )) :
                    if(entry.endswith( 'isclite' )) :
                            print "Found Module: entry for isclite"
                            found = 1


    print "Issue AdminConfig.getid(/Server:"+ server + "/) command to get the configuration ID for this server"   
    changed = 0
    serv = AdminConfig.getid('/Server:'+server+'/')
    print "Results=" + serv
    if serv != "":
        print "Look thru the list of modules in the isclite application - specifically looking for xsportlet.war"
        modulesList = AdminApp.listModules('isclite').split(java.lang.System.getProperty("line.separator"))
        changed = 1
        for modules in modulesList:
            print "module contained in isclite: " + modules
            if (modules == "isclite#xsportlet.war+WEB-INF/web.xml"):
                 changed = 0
                 print "Module xsportlet.war is already contained in isclite.ear"

        if (changed == 1):
            print "Module xsportlet.war is NOT contained in isclite.ear - so ADD it using AdminApp.update command"
            AdminApp.update('isclite', 'modulefile', '[-operation add -contents \'' + pathToXDPortlet + '\' -contenturi xsportlet.war -custom -usedefaultbindings -contextroot /xsportlet -server \'' + server + '\' -MapWebModToVH [[.* .* admin_host]]]')

    #save workspace    
    if (changed == 1):
       print "saving workspace"
       AdminConfig.save()

else:
    print "No isclite found so xsportlet.war module does not need to be added."   

