function getElementPosition(id)
{
	var offsetTrail = document.getElementById(id);
	var offsetLeft = 0;
	var offsetTop = 0;
	while (offsetTrail) {
		offsetLeft += offsetTrail.offsetLeft;
		offsetTop += offsetTrail.offsetTop;
		offsetTrail = offsetTrail.offsetParent;
	}
	
	if (navigator.userAgent.indexOf("Mac") != -1 &&
		typeof document.body.leftMargin != "undefined") {
		offsetLeft += document.body.leftMargin;
		offsetTop += document.body.topMargin;	
	}

	return {left:offsetLeft, top:offsetTop+30};
}

function doXmlHttpRequest(sUri) 
{
    isMoz = false;
    mozLoaded = false;
    xmlhttp = null;
    xmlDoc = null;
    if (window.ActiveXObject) {
        xmlhttp = new ActiveXObject('MSXML2.XMLHTTP');
    } else {
        xmlhttp = new XMLHttpRequest();
    }

    if (xmlhttp) {
        xmlhttp.open('GET',sUri,false);
        xmlhttp.setRequestHeader('Content-Type', 'charset=UTF-8');
        xmlhttp.send(null);
        xmlDoc = xmlhttp.responseText;
        mozLoaded = true;
    }

    return xmlDoc;

}

function findYPosition(elementId)
{
   var YPos = 0;
   if (elementId.y) {
      YPos = elementId.y;
   } else if (elementId.offsetParent) {
      while (elementId.offsetParent) {
         YPos = YPos + elementId.offsetTop;
         elementId = elementId.offsetParent;
      }
   }
   return YPos;
}

function findXPosition(elementId)
{
   var XPos = 0;
   if (elementId.x) {
      XPos = elementId.x;
   } else if (elementId.offsetParent) {
      while (elementId.offsetParent) {
         XPos = XPos + elementId.offsetLeft;
         elementId = elementId.offsetParent;
      }
   }
   return XPos;
}